Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.behavior
Class MessageUpdateScript

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.richfaces.component.behavior.MessageUpdateScript

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString

    public class MessageUpdateScript

extends org.ajax4jsf.javascript.ScriptStringBase
implements org.ajax4jsf.javascript.ScriptString

Field Summary

Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase
`COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

Constructor Summary
`MessageUpdateScript(java.lang.String clientId, java.util.Iterator<javax.faces.application.FacesMessage> messages)`

Method Summary
`void` | `appendScript(java.lang.Appendable target)`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`appendScriptToStringBuilder, toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.javascript.ScriptString
`appendScriptToStringBuilder, toScript`

Constructor Detail

### MessageUpdateScript

    public MessageUpdateScript(java.lang.String clientId,
                               java.util.Iterator<javax.faces.application.FacesMessage> messages)

Method Detail

### appendScript

    public void appendScript(java.lang.Appendable target)
                      throws java.io.IOException

  Specified by:
    `appendScript` in interface `org.ajax4jsf.javascript.ScriptString`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.